
QGIS Application - Bug report #6187

Raster disappears when bands change

2012-08-13 01:42 AM - Maxim Dubinin

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15501

Description

1. Add http://gis-lab.info/forum/download/file.php?id=4783 --> All fine

2. Go to raster properties, switch any band to another one. --> Raster turns into solid color rectangle and it is impossible to restore its

visibility, even by going back to previous band combination.

Tried on 4 different machines with Win7, 64bit, 32bit, revs. 829f672, ad6c964

History

#1 - 2012-08-13 01:46 AM - Alexander Bruy

Seems your raster is buggy. With any another multiband file all works

#2 - 2012-08-13 01:51 AM - Alexander Bruy

This raster works after decomposing to separate bands and then merging them into single file.

#3 - 2012-08-13 06:39 AM - Maxim Dubinin

How can a raster be buggy? ;)

Yes, it seems that the problem is in how QGIS handles rasters that are not georeferenced, but do have some GCPs (see attached example).

I believe QGIS should work correctly with those as well. This raster was obtained from distributor of remote sensing data. I think it is common. If you do

gdalwarp before opening it will work fine.

#4 - 2014-06-21 10:52 AM - Jürgen Fischer

- Category set to Rasters

#5 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-13 03:19 AM - Médéric RIBREUX

- Status changed from Open to Feedback
http://gis-lab.info/forum/download/file.php?id=4783


Hello, bug triage...

I can't reproduce this bug on QGIS 2.13 master (should be the same with QGIS 2.12.1).

Can you confirm ?

#7 - 2015-12-30 03:43 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing as it seems fixed and for the lack of feedback, please reopen if necessary.
